## golang-github-cilium-ebpf 0.9.1

=== testdata/docker/Makefile ===
# Makefile to build and push the `cilium/ebpf` llvm builder Docker image.
CONTAINER_ENGINE ?= docker

IMAGE := $(shell cat IMAGE)
EPOCH := $(shell date +'%s')

ifndef IMAGE
$(error IMAGE file not present in Makefile directory)
endif

.PHONY: build push

build:
	${CONTAINER_ENGINE} build --no-cache . -t "$(IMAGE):$(EPOCH)"
	echo $(EPOCH) > VERSION

push:
	${CONTAINER_ENGINE} push "$(IMAGE):$(shell cat VERSION)"

## golang-github-cilium-ebpf 0.0~git20200413.48fb86d

=== debian/changelog ===
golang-github-cilium-ebpf (0.0~git20200413.48fb86d-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 19 Apr 2020 02:15:10 +0800

golang-github-cilium-ebpf (0.0~git20200413.48fb86d-1) unstable; urgency=medium

  * Initial release (Closes: 956909)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 16 Apr 2020 22:36:23 +0800

=== debian/control ===
Source: golang-github-cilium-ebpf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev,
               golang-golang-x-xerrors-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
Homepage: https://github.com/cilium/ebpf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cilium/ebpf

Package: golang-github-cilium-ebpf-dev
Architecture: all
Depends: golang-golang-x-sys-dev,
         golang-golang-x-xerrors-dev,
         ${misc:Depends},
Description: eBPF Library for Go
 eBPF is a pure Go library that provides utilities for loading, compiling,
 and debugging eBPF programs. It has minimal external dependencies and
 is intended to be used in long running processes.

## golang-github-cilium-ebpf 0.0~git20200810.c7f1234

=== debian/changelog ===
golang-github-cilium-ebpf (0.0~git20200810.c7f1234-1) unstable; urgency=medium

  * New upstream version 0.0~git20200810.c7f1234
  * Bump debhelper-compat to 13
  * Drop golang-golang-x-xerrors-dev

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 18 Aug 2020 00:13:19 +0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

# In most environments, tests are running in schroot,
# which has no permission to run bpf programs.
override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/cilium/ebpf.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-cilium-ebpf-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/cilium/ebpf/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-cilium-ebpf 0.1.0

=== debian/changelog ===
golang-github-cilium-ebpf (0.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * New upstream version 0.1.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Nov 2020 16:10:35 +0800

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev,
-               golang-golang-x-xerrors-dev,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
@@ -19,7 +18,6 @@
 Package: golang-github-cilium-ebpf-dev
 Architecture: all
 Depends: golang-golang-x-sys-dev,
-         golang-golang-x-xerrors-dev,
          ${misc:Depends},
 Description: eBPF Library for Go
  eBPF is a pure Go library that provides utilities for loading, compiling,

## golang-github-cilium-ebpf 0.2.0

=== debian/changelog ===
golang-github-cilium-ebpf (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * Add Multi-Arch hint
  * Update section to golang
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 20 Nov 2020 00:55:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: golang-github-cilium-ebpf
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
 Homepage: https://github.com/cilium/ebpf
@@ -19,6 +19,7 @@
 Architecture: all
 Depends: golang-golang-x-sys-dev,
          ${misc:Depends},
+Multi-Arch: foreign
 Description: eBPF Library for Go
  eBPF is a pure Go library that provides utilities for loading, compiling,
  and debugging eBPF programs. It has minimal external dependencies and

## golang-github-cilium-ebpf 0.6.2

=== debian/changelog ===
golang-github-cilium-ebpf (0.6.2-2) unstable; urgency=medium

  * Upload to unstable
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 20 Aug 2021 23:10:44 +0800

golang-github-cilium-ebpf (0.6.2-1) experimental; urgency=medium

  * New upstream version 0.6.2

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 16 Jul 2021 23:12:06 +0800

golang-github-cilium-ebpf (0.6.1-1) experimental; urgency=medium

  * New upstream version 0.6.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Jun 2021 15:36:05 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
 Homepage: https://github.com/cilium/ebpf

## golang-github-cilium-ebpf 0.7.0

=== debian/changelog ===
golang-github-cilium-ebpf (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Bump golang-golang-x-sys-dev to 0.0~git20211117

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 18 Nov 2021 02:35:51 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.13~),
-               golang-golang-x-sys-dev,
+               golang-golang-x-sys-dev (>= 0.0~git20211117~),
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
@@ -17,7 +17,7 @@
 
 Package: golang-github-cilium-ebpf-dev
 Architecture: all
-Depends: golang-golang-x-sys-dev,
+Depends: golang-golang-x-sys-dev (>= 0.0~git20211117~),
          ${misc:Depends},
 Multi-Arch: foreign
 Description: eBPF Library for Go

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_EXCLUDES := examples
 
 %:
 	dh $@ --buildsystem=golang --with=golang
@@ -7,3 +9,6 @@
 # which has no permission to run bpf programs.
 override_dh_auto_test:
 	-dh_auto_test
+
+override_dh_auto_install:
+	dh_auto_install -- --no-binaries

## golang-github-cilium-ebpf 0.9.1

=== debian/changelog ===
golang-github-cilium-ebpf (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Aug 2022 22:33:50 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev (>= 0.0~git20211117~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
 Homepage: https://github.com/cilium/ebpf

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_GOLANG_EXCLUDES := examples
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-github-cilium-ebpf 0.11.0

=== debian/changelog ===
golang-github-cilium-ebpf (0.11.0-2) unstable; urgency=medium

  [ Loren M. Lang ]
  * Fix handling of empty string for build info module.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 22 Feb 2024 17:34:28 +0800

golang-github-cilium-ebpf (0.11.0-1) unstable; urgency=medium

  [ Loren M. Lang ]
  * New upstream version 0.11.0
  * Updated build dependencies
  * Build requires template file to be in build tree
  * Update lintian overrides
  * Updated metadata to assist in cloning and importing upstream releases

  [ Shengjing Zhu ]
  * Add golang-golang-x-exp-dev to Depends as well
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 21 Feb 2024 18:24:41 +0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.13~),
+               golang-golang-x-exp-dev,
                golang-golang-x-sys-dev (>= 0.0~git20211117~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
 Homepage: https://github.com/cilium/ebpf
@@ -17,7 +18,8 @@
 
 Package: golang-github-cilium-ebpf-dev
 Architecture: all
-Depends: golang-golang-x-sys-dev (>= 0.0~git20211117~),
+Depends: golang-golang-x-exp-dev,
+         golang-golang-x-sys-dev (>= 0.0~git20211117~),
          ${misc:Depends},
 Multi-Arch: foreign
 Description: eBPF Library for Go

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/cilium/ebpf \
  refs/tags/v?@ANY_VERSION@ debian

## golang-github-cilium-ebpf 0.17.3%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_INSTALL_EXTRA := cmd/bpf2go/gen/output.tpl
+export DH_GOLANG_EXCLUDES := docs/examples
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-github-cilium-ebpf 0.17.3+ds1

=== docs/Makefile ===
build: pipenv
	@# Run a production build of the documentation. Strict mode makes warnings fatal.
	pipenv run mkdocs build --strict

	@# Build main packages, discarding build output.
	go build -v ./...

	@# Build _test.go files containing Doc* functions, don't execute tests.
	go test -c -o /dev/null ./... >/dev/null

preview: pipenv
	pipenv run mkdocs serve

shell: pipenv
	@echo "pipenv shell"
	@exec pipenv shell

pipenv:
ifeq (, $(shell command -v pipenv 2> /dev/null))
$(error "pipenv is not installed, exiting..")
endif

	@# Ensure a venv and install dependencies from Pipfile.lock. Buffer stdio
	@# and display it on error as pipenv uses stdin and stderr arbitrarily.
	@echo "pipenv sync"
	@out=`pipenv sync 2>&1` || echo "$${out}"

.PHONY: pipenv

=== debian/changelog ===
golang-github-cilium-ebpf (0.17.3+ds1-4) unstable; urgency=medium

  * Declare Breaks on golang-github-opencontainers-runc-dev (<< 1.3)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Sep 2025 13:39:20 -0400

golang-github-cilium-ebpf (0.17.3+ds1-3) unstable; urgency=medium

  * Declare Breaks on golang-github-containerd-cgroups-dev (<< 3.0.5)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Sep 2025 05:26:04 -0400

golang-github-cilium-ebpf (0.17.3+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Verified that it includes the commit to allow compilation on
    loong64, Closes: #1055291

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 18 Sep 2025 06:01:40 -0400

golang-github-cilium-ebpf (0.17.3+ds1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * debian/rules:
    - Fix location to output.tpl
    - Exclude non-essential packages from build
  * debian/patches:
    - drop old patch that no longer applies
    - Revert upstream commit 8462e8f: "internal/linux: use unix.Auxv"
      to avoid dependency on golang.org/x/sys v0.30.0
    - Skip some tests that require permissions not found inside user
      namespaces
  * debian/control:
    - Depend on golang-github-go-quicktest-qt-dev
    - Depend on golang-github-jsimonetti-rtnetlink-dev
    - Bump Standards version, no changes needed
  * Generalize lintian overrides to minimize toil when updating version
  * debian/watch: Repack with repacksuffix

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Aug 2025 08:18:01 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.13~),
+               golang-github-go-quicktest-qt-dev,
+               golang-github-jsimonetti-rtnetlink-dev,
                golang-golang-x-exp-dev,
                golang-golang-x-sys-dev (>= 0.0~git20211117~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cilium-ebpf.git
 Homepage: https://github.com/cilium/ebpf
@@ -18,9 +20,13 @@
 
 Package: golang-github-cilium-ebpf-dev
 Architecture: all
-Depends: golang-golang-x-exp-dev,
+Depends: golang-github-go-quicktest-qt-dev,
+         golang-github-jsimonetti-rtnetlink-dev,
+         golang-golang-x-exp-dev,
          golang-golang-x-sys-dev (>= 0.0~git20211117~),
          ${misc:Depends},
+Breaks: golang-github-containerd-cgroups-dev (<< 3.0.5),
+        golang-github-opencontainers-runc-dev (<< 1.3)
 Multi-Arch: foreign
 Description: eBPF Library for Go
  eBPF is a pure Go library that provides utilities for loading, compiling,

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repack, repacksuffix=+ds1, dversionmangle=s{[+~]ds\d*}{}" \
  https://github.com/cilium/ebpf \
  refs/tags/v?@ANY_VERSION@ debian
